# coding: utf-8
from cms.plugin_pool import plugin_pool
from models import *
from django.utils.translation import ugettext as _
from django.contrib import admin
from cms.plugin_base import CMSPluginBase


class SliderItemInline(admin.StackedInline):
    model = SliderItem
    fk_name = 'slider'
    extra = 0


class CMSSliderPlugin(CMSPluginBase):
    model = Slider
    name = _("Slider")
    render_template = "slider/slider.html"

    inlines = [
        SliderItemInline,
    ]

    def render(self, context, instance, placeholder):
        context.update({'instance': instance})
        return context

plugin_pool.register_plugin(CMSSliderPlugin)
