__author__ = 'vincent'

from django.db import models
from django.utils.translation import ugettext_lazy as _
from filer.fields.image import FilerImageField
from tinymce.models import HTMLField
from cms.models.pluginmodel import CMSPlugin


class Slider(CMSPlugin):
    pass

    def copy_relations(self, oldinstance):
        for item in oldinstance.slideritem_set.all():
            item.pk = None
            item.slider = self
            item.save()


class SliderItem(models.Model):
    slider = models.ForeignKey(Slider, blank=False, verbose_name=_('slider item'), on_delete=models.CASCADE)
    background_image = FilerImageField(verbose_name=_('background image'), null=True,
                                       blank=True, on_delete=models.SET_NULL)
    content = HTMLField()


class SliderAttribute(models.Model):
    slider = models.ForeignKey(Slider, blank=False, verbose_name=_('slider item'), on_delete=models.CASCADE)
    name = models.CharField(_('name'), max_length=50, blank=False)
    value = models.CharField(_('value'), max_length=50, blank=False)